Bug 329611 - Kmail does not appear to properly decode UTF-7 quoted-printable emails
Summary: Kmail does not appear to properly decode UTF-7 quoted-printable emails
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 4.12
Platform: Kubuntu Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-05 09:07 UTC by Chris Samuel
Modified: 2017-01-07 22:37 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Sample UTF-7 encoded email (5.03 KB, application/mbox)
2014-01-05 12:08 UTC, Chris Samuel
Details
Message with ISO-8859-2 and quoted printable encoding (8.26 KB, application/octet-stream)
2014-02-12 22:33 UTC, Tarpast
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Samuel 2014-01-05 09:07:01 UTC
I have a contact who uses UTF-7 encoding in Evolution to stop Exchange from base64'ing his emails as vger.linux.org apparently breaks the base64 encoded emails by adding lines in plain text.

Thunderbird displays his messages correctly but Kmail shows his > quote character as the encoded form of +AD4- instead (and the same for any other quoted-printable parts).

His messages are labelled as:

Content-Type: text/plain; charset="utf-7"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0

and are otherwise unremarkable.

Reproducible: Always

Steps to Reproduce:
1. Get an email from someone in utf-7 (directly, or via a mailing list).
Actual Results:  
Looks odd, doesn't display correctly.

Expected Results:  
It should be decoded from UTF-7 quoted-printable.
Comment 1 Laurent Montel 2014-01-05 10:55:21 UTC
Could you attach an example (as mbox) please ?
Comment 2 Chris Samuel 2014-01-05 12:08:05 UTC
Created attachment 84461 [details]
Sample UTF-7 encoded email

As requested, an email from the btrfs mailing list encoded in UTF-7 which when viewed in Kmail looks odd.
Comment 3 Laurent Montel 2014-01-06 07:12:24 UTC
Thanks
I will investigate it
Comment 4 Laurent Montel 2014-01-06 07:15:39 UTC
I confirm it.
Work fine in evolution/thunderbird.
Comment 5 Tarpast 2014-02-12 22:30:20 UTC
I confirm this or maybe similar bug. Today I have received mail from Gmail (probably, by header), with charset iso-8859-2 and quoted printable encoding. Text is displayed twice and characters with diacritics are encoded. See attachment.
Other mails from Gmail are OK. Squirellmail (web client) display message correctly. After response from web client, reply was OK in Kmail.
Kmail 4.12.2, OpenSuse 12.3
Comment 6 Tarpast 2014-02-12 22:33:45 UTC
Created attachment 85118 [details]
Message with ISO-8859-2 and quoted printable encoding
Comment 7 Chris Samuel 2014-04-26 04:52:16 UTC
UTF-7 handling is still broken in 4.13.
Comment 8 Denis Kurz 2016-09-24 18:21:31 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 9 Denis Kurz 2017-01-07 22:37:59 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.